Part Cone
|
Menu location |
---|
Part → Primitives → Cone |
Workbenches |
Part |
Default shortcut |
None |
Introduced in version |
- |
See also |
Part Primitives |
Description
The Part Cone command creates a parametric cone solid. In the coordinate system defined by its DataPlacement property, the bottom face of the cone lies on the XY plane with its center at the origin.
The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its DataRadius1 or DataRadius2 property to zero. It can be turned into a segment of a cone by changing its DataAngle property.
Usage
- There are several ways to invoke the command:
- Press the
Cone button.
- Select the Part → Primitives →
Cone option from the menu.
- Press the
- The cone is created.
- Optionally change the dimensions and DataPlacement of the cone by doing one of the following:
- Double-click the object in the Tree view:
- The Geometric Primitives task panel opens.
- Change one or more properties.
- The object is dynamically updated in the 3D view.
- Press the OK button.
- Change the properties in the Property editor.
- Change the DataPlacement with the
Std TransformManip command.
- Double-click the object in the Tree view:
Example

A Part Cone object created with the scripting example below is shown here.
Notes
- A Part Cone can also be created with the
Part Primitives command. With that command you can specify the dimensions and placement at creation time.
Properties
See also: Property editor.
A Part Cone object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Cone
- DataRadius1 (
Length
): The radius of the bottom face of the cone. Can be0mm
if DataRadius2 is larger than0mm
. The default is2mm
. - DataRadius2 (
Length
): The radius of the top face of the cone. Can be0mm
if DataRadius1 is larger than0mm
. The default is4mm
. - DataHeight (
Length
): The height of the cone. The default is10mm
. - DataAngle (
Angle
): The angle of the circular arc that defines the top and bottom face of the cone. Valid range:0° < value <= 360°
. The default is360°
. If it is smaller than360°
the resulting solid will be a segment of a cone.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Cone can be created with the addObject()
method of the document:
cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
- Where
"myCone"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))
doc.recompute()
- Primitives: Box, Cylinder, Sphere, Cone, Torus, Tube, Create primitives, Shape builder
- Creation and modification: Create sketch, Extrude, Revolve, Mirror, Scale, Fillet, Chamfer, Make face from wires, Ruled Surface, Loft, Sweep, Section, Cross sections, 3D Offset, 2D Offset, Thickness, Projection on surface, Color per face
- Boolean: Make compound, Explode compound, Compound Filter, Boolean, Cut, Union, Intersection, Connect objects, Embed object, Cutout for object, Boolean fragments, Slice apart, Slice to compound, Boolean XOR, Check geometry, Defeaturing
- Other tools: Import CAD file, Export CAD file, Box selection, Create shape from mesh, Create points object from geometry, Convert to solid, Reverse shapes, Create simple copy, Create transformed copy, Create shape element copy, Refine shape, Attachment
- Preferences: Preferences, Fine tuning

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub